PUT
/jobs/{jobId}/tasks/{taskId}
https://azure.com/jobs/{jobId}/tasks/{taskId}Updates the properties of the specified Task.
Access Token Required: API Key
Path Parameters
jobIdstringrequired
The ID of the Job containing the Task.
taskIdstringrequired
The ID of the Task to update.
Query Params
timeoutstring
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'https://azure.com/jobs/{jobId}/tasks/{taskId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}